### Method

# GUPnP ServiceIntrospection list_actions

#### Declaration [src]

    const GList*
    gupnp_service_introspection_list_actions (
      GUPnPServiceIntrospection* introspection
    )

#### Description [src]

Returns a `GList` of all the actions (of type `GUPnPServiceActionInfo`) in this service.

#### Return value

Type: A list of `const GUPnPServiceActionInfo*`

A `GList` of all the actions or `NULL`. Do not modify or free it or its contents.

The returned data is owned by the instance.